asn1_bit_der(3)

NAME
asn1_bit_der - API function

SYNOPSIS
#include <libtasn1.h>

void asn1_bit_der(const unsigned char * str, int bit_len, unsigned char * der, int * der_len);

ARGUMENTS

const unsigned char * str
    BIT string.

int bit_len
    number of meaningful bits in STR.

unsigned char * der
    string returned.

int * der_len
    number of meaningful bytes of DER (der[0]..der[ans_len-1]).

DESCRIPTION
Creates a length-value DER encoding for the input data as it would have been for a BIT STRING. The DER encoded data will be copied in der .

Note that the BIT STRING tag is not included in the output.

This function does not return any value because it is expected that der_len will contain enough bytes to store the string plus the DER encoding. The DER encoding size can be obtained using asn1_length_der().

COPYRIGHT
Copyright © 2006-2022 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/